/**
 * Copyright 2019 DH
 * All right reserved.
 * 项目名称: 大恒泰山系统
 * 创建日期:2022/8/23
 */
package org.springblade.modules.business.equipment.inspection.base.wrapper;


import org.springblade.core.mp.support.BaseEntityWrapper;
import org.springblade.core.tool.utils.BeanUtil;
import org.springblade.modules.business.equipment.inspection.base.entity.EquipmentInspectionInfoEntity;
import org.springblade.modules.business.equipment.inspection.base.vo.EquipmentInspectionInfoVO;

import java.util.Objects;

/***
 * Date:2022/8/23
 * Title:文件所属模块（必须填写）
 * Description：对本文件的详细描述，原则上不能少于30字
 * @author dylan
 * @version 1.0
 * Remark：认为有必要的其他信息
 */

public class EquipmentInspectionWrapper extends BaseEntityWrapper<EquipmentInspectionInfoEntity,EquipmentInspectionInfoVO> {
	public static EquipmentInspectionWrapper build() {
		return new EquipmentInspectionWrapper();
	}

	@Override
	public EquipmentInspectionInfoVO entityVO(EquipmentInspectionInfoEntity entity) {
		EquipmentInspectionInfoVO equipmentInspectionInfoVO = Objects.requireNonNull(BeanUtil.copy(entity, EquipmentInspectionInfoVO.class));
		return entityVO(equipmentInspectionInfoVO);
	}

	public EquipmentInspectionInfoVO entityVO(EquipmentInspectionInfoVO entity) {
		String rtuKindDesc = "";
		if (entity.getIsRain() != null && entity.getIsRain() == 1) {
			rtuKindDesc = "雨量站";
		}
		if (entity.getIsRes() != null && entity.getIsRes() == 1) {
			if (rtuKindDesc.length() > 0) {
				rtuKindDesc += "/";
			}
			rtuKindDesc += "水位站";
		} else if (entity.getIsRiver() != null && entity.getIsRiver() == 1) {
			if (rtuKindDesc.length() > 0) {
				rtuKindDesc += "/";
			}
			rtuKindDesc += "水位站";
		}
		if (entity.getIsGround() != null && entity.getIsGround() == 1) {
			if (rtuKindDesc.length() > 0) {
				rtuKindDesc += "/";
			}
			rtuKindDesc += "墒情站";
		}
		if (entity.getIsVideo() != null && entity.getIsVideo() == 1) {
			if (rtuKindDesc.length() > 0) {
				rtuKindDesc += "/";
			}
			rtuKindDesc += "视频站";
		}
		entity.setRtuKindDesc(rtuKindDesc);
		return entity;
	}
}
